matrix:
  platform:
    - centos7
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    - windows
  bazel: [7.*, 8.*, 9.*, last_rc]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@ofiuco//python/...'
      - '@ofiuco//lib/...'
bcr_test_module:
  module_path: "examples/transitions"
  matrix:
    platform:
      - debian10
      - ubuntu2004
      - macos
      - macos_arm64
      - windows
    bazel: [7.*, 8.*, 9.*, last_rc]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_targets:
        - //...
